import { EventEmitter, OnInit, ElementRef, AfterViewInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { Select } from '../../../custom-select';
import * as i0 from "@angular/core";
export declare class PopupFilterByConditionComponent implements OnInit, AfterViewInit {
    filterByConditionElement: ElementRef;
    initialData: any;
    metricList: any;
    selectType: string;
    popupSelectedOutput: EventEmitter<any>;
    get formData(): import("@angular/forms").AbstractControl<any, any>[];
    metricFiltersList: any[];
    form: FormGroup;
    conditionsList$: Observable<Array<Select>>;
    metricList$: Observable<Array<Select>>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    elementValueChanged(): void;
    emitData(): void;
    addItem(): void;
    addPreselectedItem(item: any): void;
    removeItem(index: any): void;
    getFormElement(formGroup: FormGroup, formControlName: string): import("@angular/forms").AbstractControl<any, any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopupFilterByConditionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopupFilterByConditionComponent, "epom-popup-filter-by-condition", never, { "initialData": "initialData"; "metricList": "metricList"; "selectType": "selectType"; }, { "popupSelectedOutput": "popupSelectedOutput"; }, never, never, false>;
}
